> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shopping list and its items

> By specifying list ID, you can get shopping list details along with its items.



## OpenAPI

````yaml lists.openapi get /lists/{listId}/actions/get-list-details
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Support team
  description: >-
    fabric **Lists** API is a multi-tenant service that allows your shoppers to
    manage their shopping lists for future purchases. Shoppers can create lists,
    add items to lists, update lists and list items, as well as delete unwanted
    lists and items. Shopping lists are a popular e-commerce feature allowing
    shoppers to save desired products for future purchase. It not only helps to
    minimize shopping cart abandonment but also provides valuable insights into
    product popularity. In addition, shoppers who maintain shopping lists can be
    engaged in targeted marketing campaigns, enhancing customer engagement and
    satisfaction.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Orders - Lists API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: >-
      fabric **Lists** API is a multi-tenant service that allows your shoppers
      to manage their shopping lists for future purchases. Shoppers can create
      lists, add items to lists, update lists and list items, as well as delete
      unwanted lists and items. Shopping lists are a popular e-commerce feature
      allowing shoppers to save desired products for future purchase. It not
      only helps to minimize shopping cart abandonment but also provides
      valuable insights into product popularity. In addition, shoppers who
      maintain shopping lists can be engaged in targeted marketing campaigns,
      enhancing customer engagement and satisfaction.
    name: Shopping Lists
  - description: >-
      These endpoints let your shoppers create and manage items in shopping
      lists.
    name: Shopping List Items
externalDocs:
  description: Find out more about fabric Orders (also called OMS)
  url: https://developer.fabric.inc/v3/docs/orders-overview
paths:
  /lists/{listId}/actions/get-list-details:
    get:
      tags:
        - Shopping List Items
      summary: Get shopping list and its items
      description: >-
        By specifying list ID, you can get shopping list details along with its
        items.
      operationId: getListWithItems
      parameters:
        - description: >-
            24-character system-generated shopping list ID returned in the
            response of *Create list* endpoint - `POST /lists`
          example: 62fa3796841ea417fa71d2a9
          in: path
          name: listId
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listWithItemResponse'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '404':
          content:
            application/json:
              example:
                message: Object not found
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    listWithItemResponse:
      description: List item details
      properties:
        attributes:
          description: >-
            User defined custom attributes. This is a placeholder for addition
            info (in key: value pairs)
          example:
            key: value
          type: object
        createdAt:
          description: Time of shopping list creation (UTC)
          example: '2022-11-22T10:26:38Z'
          format: date-time
          type: string
        itemCount:
          description: Number of items in a list
          example: 1
          format: int32
          minimum: 0
          type: integer
        items:
          description: List of items
          items:
            $ref: '#/components/schemas/listItemResponse'
          type: array
        listId:
          description: 24-character system-generated list ID
          example: 62fa3796841ea417fa71d2a9
          type: string
        listType:
          description: List type
          example: type1
          type: string
        name:
          description: Shopping list name
          example: list1
          type: string
        notes:
          description: Additional info, if any
          example: note11
          type: string
        updatedAt:
          description: Time of last update to shopping list (UTC)
          example: '2022-11-22T10:26:38Z'
          format: date-time
          type: string
        userId:
          description: >-
            Unique identifier of a logged-in user, from Identity service.
            **Note**: Only a logged-in user can create shopping lists.
          example: user1
          type: string
      required:
        - name
        - userId
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    listItemResponse:
      description: Details of items in a list
      properties:
        attributes:
          additionalProperties:
            description: >-
              User defined custom attributes. This is a placeholder for addition
              info (in key: value pairs)
            example:
              key: value
            type: object
          description: >-
            User defined custom attributes. This is a placeholder for addition
            info (in key: value pairs)
          example:
            key: value
          type: object
        createdAt:
          description: Time of shopping list creation (UTC)
          example: '2022-11-22T10:26:38Z'
          format: date-time
          type: string
        itemId:
          description: A unique item identifier similar to `sku`
          example: 123
          format: int32
          type: integer
        listId:
          description: 24-character system-generated list ID
          example: 62fa3796841ea417fa71d2a9
          type: string
        quantity:
          description: Item quantity
          example: 1
          format: int32
          minimum: 0
          type: integer
        sku:
          description: Stock keeping unit (SKU), a unique item identifier
          example: sku1
          type: string
        updatedAt:
          description: Time of last update to shopping list (UTC)
          example: '2022-11-22T10:26:38Z'
          format: date-time
          type: string
      required:
        - listId
        - sku
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````